TypeScript SDK
import { Creem } from "creem";
const creem = new Creem({
apiKey: process.env["CREEM_API_KEY"] ?? "",
});
async function run() {
const result = await creem.customerCredits.getAccountBalance("<id>", "2024-01-15T00:00:00.000Z");
console.log(result);
}
run();curl --request GET \
--url https://api.creem.io/v1/customer-credits/accounts/{id}/balance \
--header 'x-api-key: <api-key>'import requests
url = "https://api.creem.io/v1/customer-credits/accounts/{id}/balance"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.creem.io/v1/customer-credits/accounts/{id}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": "5000",
"updated_at": "<string>",
"as_of": "<string>"
}Customer Credits
Get account balance
Get the current balance of an account. Optionally pass ?at= for historical balance.
GET
/
v1
/
customer-credits
/
accounts
/
{id}
/
balance
TypeScript SDK
import { Creem } from "creem";
const creem = new Creem({
apiKey: process.env["CREEM_API_KEY"] ?? "",
});
async function run() {
const result = await creem.customerCredits.getAccountBalance("<id>", "2024-01-15T00:00:00.000Z");
console.log(result);
}
run();Authorizations
API key for authentication. You can find your API key in the Creem dashboard under Settings > API Keys.
Path Parameters
Query Parameters
ISO 8601 date. If present, computes balance at that point in time. If absent, returns O(1) projected balance.
Example:
"2024-01-15T00:00:00.000Z"
⌘I